Index: mist_5200/zpu_rom.vhdl
===================================================================
--- mist_5200/zpu_rom.vhdl	(revision 231)
+++ mist_5200/zpu_rom.vhdl	(revision 232)
@@ -2686,93 +3006,14 @@
 X"84120880",
 X"2effb738",
 X"843d0d04",
-X"ff3d0d73",
-X"527183e3",
-X"d4082ea6",
-X"3871a00a",
-X"0790809c",
-X"0c90808c",
-X"08517080",
-X"2ef73880",
-X"0b90809c",
-X"0c90808c",
-X"085170f9",
-X"387183e3",
-X"d40c833d",
-X"0d04ff0b",
-X"83e3d40c",
-X"8180800b",
-X"83e3d00c",
-X"800b83e0",
-X"800c04fc",
-X"3d0d7602",
-X"8405a205",
-X"22028805",
-X"a605227a",
-X"54555555",
-X"ff9e3f72",
-X"802ea338",
-X"83e3d008",
-X"14527133",
-X"75708105",
-X"57348114",
-X"7083ffff",
-X"06ff1570",
-X"83ffff06",
-X"56525552",
-X"da39800b",
-X"83e0800c",
-X"863d0d04",
-X"f73d0d7b",
-X"7d7f1158",
-X"55598055",
-X"73762eb1",
-X"3883e3d0",
-X"088b3d59",
-X"57741970",
-X"3375fc06",
-X"1970085d",
-X"7683067b",
-X"07535454",
-X"51727134",
-X"79720c81",
-X"14811656",
-X"5473762e",
-X"098106d9",
-X"38800b83",
-X"e0800c8b",
-X"3d0d0480",
-X"3d0d83e3",
-X"d408900a",
-X"0790809c",
-X"0c90808c",
-X"08517080",
-X"2ef73880",
-X"0b90809c",
-X"0c90808c",
-X"085170f9",
-X"38823d0d",
-X"0483e08c",
-X"080283e0",
-X"8c0cfd3d",
-X"0d805383",
-X"e08c088c",
-X"05085283",
-X"e08c0888",
-X"05085183",
-X"d43f83e0",
-X"80087083",
-X"e0800c54",
-X"853d0d83",
-X"e08c0c04",
 X"83e08c08",
 X"0283e08c",
 X"0cfd3d0d",
-X"815383e0",
+X"805383e0",
 X"8c088c05",
 X"085283e0",
 X"8c088805",
-X"085183a1",
+X"085183d4",
 X"3f83e080",
 X"087083e0",
 X"800c5485",
@@ -2780,243 +3021,256 @@
 X"8c0c0483",
 X"e08c0802",
 X"83e08c0c",
-X"f93d0d80",
-X"0b83e08c",
-X"08fc050c",
+X"fd3d0d81",
+X"5383e08c",
+X"088c0508",
+X"5283e08c",
+X"08880508",
+X"5183a13f",
+X"83e08008",
+X"7083e080",
+X"0c54853d",
+X"0d83e08c",
+X"0c0483e0",
+X"8c080283",
+X"e08c0cf9",
+X"3d0d800b",
 X"83e08c08",
-X"88050880",
-X"25b93883",
+X"fc050c83",
 X"e08c0888",
-X"05083083",
-X"e08c0888",
-X"050c800b",
-X"83e08c08",
-X"f4050c83",
-X"e08c08fc",
-X"05088a38",
-X"810b83e0",
-X"8c08f405",
-X"0c83e08c",
-X"08f40508",
-X"83e08c08",
-X"fc050c83",
-X"e08c088c",
 X"05088025",
 X"b93883e0",
-X"8c088c05",
+X"8c088805",
 X"083083e0",
-X"8c088c05",
+X"8c088805",
 X"0c800b83",
-X"e08c08f0",
+X"e08c08f4",
 X"050c83e0",
 X"8c08fc05",
 X"088a3881",
 X"0b83e08c",
-X"08f0050c",
+X"08f4050c",
 X"83e08c08",
-X"f0050883",
+X"f4050883",
 X"e08c08fc",
-X"050c8053",
+X"050c83e0",
+X"8c088c05",
+X"088025b9",
+X"3883e08c",
+X"088c0508",
+X"3083e08c",
+X"088c050c",
+X"800b83e0",
+X"8c08f005",
+X"0c83e08c",
+X"08fc0508",
+X"8a38810b",
 X"83e08c08",
-X"8c050852",
-X"83e08c08",
-X"88050851",
-X"81df3f83",
-X"e0800870",
-X"83e08c08",
-X"f8050c54",
-X"83e08c08",
-X"fc050880",
-X"2e903883",
+X"f0050c83",
+X"e08c08f0",
+X"050883e0",
+X"8c08fc05",
+X"0c805383",
+X"e08c088c",
+X"05085283",
+X"e08c0888",
+X"05085181",
+X"df3f83e0",
+X"80087083",
 X"e08c08f8",
-X"05083083",
-X"e08c08f8",
-X"050c83e0",
+X"050c5483",
+X"e08c08fc",
+X"0508802e",
+X"903883e0",
 X"8c08f805",
-X"087083e0",
-X"800c5489",
-X"3d0d83e0",
-X"8c0c0483",
-X"e08c0802",
-X"83e08c0c",
-X"fb3d0d80",
-X"0b83e08c",
-X"08fc050c",
+X"083083e0",
+X"8c08f805",
+X"0c83e08c",
+X"08f80508",
+X"7083e080",
+X"0c54893d",
+X"0d83e08c",
+X"0c0483e0",
+X"8c080283",
+X"e08c0cfb",
+X"3d0d800b",
 X"83e08c08",
-X"88050880",
-X"25993883",
+X"fc050c83",
 X"e08c0888",
-X"05083083",
-X"e08c0888",
-X"050c810b",
-X"83e08c08",
-X"fc050c83",
-X"e08c088c",
 X"05088025",
-X"903883e0",
-X"8c088c05",
+X"993883e0",
+X"8c088805",
 X"083083e0",
+X"8c088805",
+X"0c810b83",
+X"e08c08fc",
+X"050c83e0",
 X"8c088c05",
-X"0c815383",
-X"e08c088c",
-X"05085283",
-X"e08c0888",
-X"050851bd",
-X"3f83e080",
-X"087083e0",
-X"8c08f805",
-X"0c5483e0",
-X"8c08fc05",
-X"08802e90",
+X"08802590",
 X"3883e08c",
-X"08f80508",
+X"088c0508",
 X"3083e08c",
+X"088c050c",
+X"815383e0",
+X"8c088c05",
+X"085283e0",
+X"8c088805",
+X"0851bd3f",
+X"83e08008",
+X"7083e08c",
 X"08f8050c",
+X"5483e08c",
+X"08fc0508",
+X"802e9038",
 X"83e08c08",
-X"f8050870",
-X"83e0800c",
-X"54873d0d",
-X"83e08c0c",
-X"0483e08c",
-X"080283e0",
-X"8c0cfd3d",
-X"0d810b83",
+X"f8050830",
+X"83e08c08",
+X"f8050c83",
+X"e08c08f8",
+X"05087083",
+X"e0800c54",
+X"873d0d83",
+X"e08c0c04",
+X"83e08c08",
+X"0283e08c",
+X"0cfd3d0d",
+X"810b83e0",
+X"8c08fc05",
+X"0c800b83",
+X"e08c08f8",
+X"050c83e0",
+X"8c088c05",
+X"0883e08c",
+X"08880508",
+X"27b93883",
 X"e08c08fc",
-X"050c800b",
+X"0508802e",
+X"ae38800b",
 X"83e08c08",
-X"f8050c83",
+X"8c050824",
+X"a23883e0",
+X"8c088c05",
+X"081083e0",
+X"8c088c05",
+X"0c83e08c",
+X"08fc0508",
+X"1083e08c",
+X"08fc050c",
+X"ffb83983",
+X"e08c08fc",
+X"0508802e",
+X"80e13883",
 X"e08c088c",
 X"050883e0",
 X"8c088805",
-X"0827b938",
+X"0826ad38",
 X"83e08c08",
-X"fc050880",
-X"2eae3880",
-X"0b83e08c",
-X"088c0508",
-X"24a23883",
+X"88050883",
 X"e08c088c",
-X"05081083",
-X"e08c088c",
+X"05083183",
+X"e08c0888",
 X"050c83e0",
-X"8c08fc05",
-X"081083e0",
-X"8c08fc05",
-X"0cffb839",
+X"8c08f805",
+X"0883e08c",
+X"08fc0508",
+X"0783e08c",
+X"08f8050c",
 X"83e08c08",
-X"fc050880",
-X"2e80e138",
+X"fc050881",
+X"2a83e08c",
+X"08fc050c",
 X"83e08c08",
-X"8c050883",
-X"e08c0888",
-X"050826ad",
-X"3883e08c",
-X"08880508",
+X"8c050881",
+X"2a83e08c",
+X"088c050c",
+X"ff953983",
+X"e08c0890",
+X"0508802e",
+X"933883e0",
+X"8c088805",
+X"087083e0",
+X"8c08f405",
+X"0c519139",
 X"83e08c08",
-X"8c050831",
+X"f8050870",
 X"83e08c08",
-X"88050c83",
-X"e08c08f8",
-X"050883e0",
+X"f4050c51",
+X"83e08c08",
+X"f4050883",
+X"e0800c85",
+X"3d0d83e0",
+X"8c0c0483",
+X"e08c0802",
+X"83e08c0c",
+X"ff3d0d80",
+X"0b83e08c",
+X"08fc050c",
+X"83e08c08",
+X"88050881",
+X"06ff1170",
+X"097083e0",
+X"8c088c05",
+X"080683e0",
 X"8c08fc05",
-X"080783e0",
-X"8c08f805",
+X"081183e0",
+X"8c08fc05",
 X"0c83e08c",
-X"08fc0508",
+X"08880508",
 X"812a83e0",
-X"8c08fc05",
+X"8c088805",
 X"0c83e08c",
 X"088c0508",
-X"812a83e0",
-X"8c088c05",
-X"0cff9539",
+X"1083e08c",
+X"088c050c",
+X"51515151",
 X"83e08c08",
-X"90050880",
-X"2e933883",
-X"e08c0888",
-X"05087083",
-X"e08c08f4",
-X"050c5191",
-X"3983e08c",
-X"08f80508",
-X"7083e08c",
-X"08f4050c",
-X"5183e08c",
-X"08f40508",
-X"83e0800c",
-X"853d0d83",
-X"e08c0c04",
-X"83e08c08",
-X"0283e08c",
-X"0cff3d0d",
-X"800b83e0",
+X"88050880",
+X"2e8438ff",
+X"ab3983e0",
 X"8c08fc05",
-X"0c83e08c",
-X"08880508",
-X"8106ff11",
-X"70097083",
-X"e08c088c",
-X"05080683",
-X"e08c08fc",
-X"05081183",
-X"e08c08fc",
-X"050c83e0",
-X"8c088805",
-X"08812a83",
-X"e08c0888",
-X"050c83e0",
-X"8c088c05",
-X"081083e0",
-X"8c088c05",
-X"0c515151",
-X"5183e08c",
-X"08880508",
-X"802e8438",
-X"ffab3983",
-X"e08c08fc",
-X"05087083",
-X"e0800c51",
-X"833d0d83",
-X"e08c0c04",
-X"fc3d0d76",
-X"70797b55",
-X"5555558f",
-X"72278c38",
-X"72750783",
-X"06517080",
-X"2ea938ff",
-X"125271ff",
-X"2e983872",
-X"70810554",
-X"33747081",
-X"055634ff",
-X"125271ff",
-X"2e098106",
-X"ea387483",
-X"e0800c86",
-X"3d0d0474",
-X"51727084",
+X"087083e0",
+X"800c5183",
+X"3d0d83e0",
+X"8c0c04fc",
+X"3d0d7670",
+X"797b5555",
+X"55558f72",
+X"278c3872",
+X"75078306",
+X"5170802e",
+X"a938ff12",
+X"5271ff2e",
+X"98387270",
+X"81055433",
+X"74708105",
+X"5634ff12",
+X"5271ff2e",
+X"098106ea",
+X"387483e0",
+X"800c863d",
+X"0d047451",
+X"72708405",
+X"54087170",
+X"8405530c",
+X"72708405",
+X"54087170",
+X"8405530c",
+X"72708405",
+X"54087170",
+X"8405530c",
+X"72708405",
+X"54087170",
+X"8405530c",
+X"f0125271",
+X"8f26c938",
+X"83722795",
+X"38727084",
 X"05540871",
 X"70840553",
-X"0c727084",
-X"05540871",
-X"70840553",
-X"0c727084",
-X"05540871",
-X"70840553",
-X"0c727084",
-X"05540871",
-X"70840553",
-X"0cf01252",
-X"718f26c9",
-X"38837227",
-X"95387270",
-X"84055408",
-X"71708405",
-X"530cfc12",
-X"52718326",
-X"ed387054",
-X"ff813900",
+X"0cfc1252",
+X"718326ed",
+X"387054ff",
+X"81390000",
 X"00ffffff",
 X"ff00ffff",
 X"ffff00ff",
@@ -3062,13 +3316,13 @@
 X"02020202",
 X"02020241",
 X"00060000",
-X"000025a9",
-X"000025ea",
-X"0000260b",
-X"00002632",
-X"00002632",
-X"00002632",
-X"000026f5",
+X"00002aa8",
+X"00002ae9",
+X"00002b0a",
+X"00002b31",
+X"00002b31",
+X"00002b31",
+X"00002bf4",
 X"25732025",
 X"73000000",
 X"20000000",
@@ -3211,260 +3465,6 @@
 X"00000000",
 X"00000000",
 X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
-X"00000000",
 X"00000000",
 X"00000000",
 X"00000000",
Index: mist_5200_old_sd_interface/atari800core.qsf
===================================================================
--- mist_5200_old_sd_interface/atari800core.qsf	(nonexistent)
+++ mist_5200_old_sd_interface/atari800core.qsf	(revision 232)
@@ -0,0 +1,320 @@
+# Copyright (C) 1991-2007 Altera Corporation
+# Your use of Altera Corporation's design tools, logic functions 
+# and other software and tools, and its AMPP partner logic 
+# functions, and any output files from any of the foregoing 
+# (including device programming or simulation files), and any 
+# associated documentation or information are expressly subject 
+# to the terms and conditions of the Altera Program License 
+# Subscription Agreement, Altera MegaCore Function License 
+# Agreement, or other applicable license agreement, including, 
+# without limitation, that your use is for the sole purpose of 
+# programming logic devices manufactured by Altera and sold by 
+# Altera or its authorized distributors.  Please refer to the 
+# applicable agreement for further details.
+
+
+# The default values for assignments are stored in the file
+#		minimig_de1_assignment_defaults.qdf
+# If this file doesn't exist, and for assignments not listed, see file
+#		assignment_defaults.qdf
+
+# Altera recommends that you do not modify this file. This
+# file is updated automatically by the Quartus II software
+# and any changes you make may be lost or overwritten.
+
+
+set_global_assignment -name FAMILY "Cyclone III"
+set_global_assignment -name DEVICE EP3C25E144C8
+set_global_assignment -name TOP_LEVEL_ENTITY atari800core_mist
+set_global_assignment -name ORIGINAL_QUARTUS_VERSION 7.2
+set_global_assignment -name PROJECT_CREATION_TIME_DATE "22:27:29  OCTOBER 30, 2007"
+set_global_assignment -name LAST_QUARTUS_VERSION "12.1 SP1.33"
+set_global_assignment -name USE_GENERATED_PHYSICAL_CONSTRAINTS OFF -section_id eda_palace
+set_global_assignment -name DEVICE_FILTER_PIN_COUNT 144
+set_global_assignment -name POWER_PRESET_COOLING_SOLUTION "NO HEAT SINK WITH STILL AIR"
+set_global_assignment -name POWER_BOARD_THERMAL_MODEL "NONE (CONSERVATIVE)"
+set_global_assignment -name OPTIMIZE_HOLD_TIMING "ALL PATHS"
+set_global_assignment -name FITTER_EFFORT "AUTO FIT"
+set_global_assignment -name STRATIX_CONFIGURATION_DEVICE EPCS4
+set_global_assignment -name CYCLONEII_RESERVE_NCEO_AFTER_CONFIGURATION "USE AS REGULAR IO"
+set_global_assignment -name RESERVE_ASDO_AFTER_CONFIGURATION "AS INPUT TRI-STATED"
+set_global_assignment -name CYCLONEIII_CONFIGURATION_SCHEME "PASSIVE SERIAL"
+set_global_assignment -name GENERATE_RBF_FILE ON
+set_global_assignment -name FORCE_CONFIGURATION_VCCIO ON
+set_global_assignment -name STRATIX_DEVICE_IO_STANDARD "3.3-V LVTTL"
+
+set_location_assignment PIN_7 -to LED
+set_location_assignment PIN_22 -to CLOCK_50[0]
+set_location_assignment PIN_23 -to CLOCK_50[1]
+set_location_assignment PIN_128 -to CLOCK_32[0]
+set_location_assignment PIN_129 -to CLOCK_32[1]
+set_location_assignment PIN_54 -to CLOCK_27[0]
+set_location_assignment PIN_55 -to CLOCK_27[1]
+set_location_assignment PIN_144 -to VGA_R[5]
+set_location_assignment PIN_143 -to VGA_R[4]
+set_location_assignment PIN_142 -to VGA_R[3]
+set_location_assignment PIN_141 -to VGA_R[2]
+set_location_assignment PIN_137 -to VGA_R[1]
+set_location_assignment PIN_135 -to VGA_R[0]
+set_location_assignment PIN_133 -to VGA_B[5]
+set_location_assignment PIN_132 -to VGA_B[4]
+set_location_assignment PIN_125 -to VGA_B[3]
+set_location_assignment PIN_121 -to VGA_B[2]
+set_location_assignment PIN_120 -to VGA_B[1]
+set_location_assignment PIN_115 -to VGA_B[0]
+set_location_assignment PIN_114 -to VGA_G[5]
+set_location_assignment PIN_113 -to VGA_G[4]
+set_location_assignment PIN_112 -to VGA_G[3]
+set_location_assignment PIN_111 -to VGA_G[2]
+set_location_assignment PIN_110 -to VGA_G[1]
+set_location_assignment PIN_106 -to VGA_G[0]
+set_location_assignment PIN_136 -to VGA_VS
+set_location_assignment PIN_119 -to VGA_HS
+set_location_assignment PIN_65 -to AUDIO_L
+set_location_assignment PIN_80 -to AUDIO_R
+set_location_assignment PIN_46 -to UART_TX
+set_location_assignment PIN_31 -to UART_RX
+set_location_assignment PIN_105 -to SPI_DO
+set_location_assignment PIN_88 -to SPI_DI
+set_location_assignment PIN_126 -to SPI_SCK
+set_location_assignment PIN_127 -to SPI_SS2
+set_location_assignment PIN_91 -to SPI_SS3
+set_location_assignment PIN_90 -to SPI_SS4
+set_location_assignment PIN_13 -to CONF_DATA0
+
+set_location_assignment PIN_49 -to SDRAM_A[0]
+set_location_assignment PIN_44 -to SDRAM_A[1]
+set_location_assignment PIN_42 -to SDRAM_A[2]
+set_location_assignment PIN_39 -to SDRAM_A[3]
+set_location_assignment PIN_4 -to SDRAM_A[4]
+set_location_assignment PIN_6 -to SDRAM_A[5]
+set_location_assignment PIN_8 -to SDRAM_A[6]
+set_location_assignment PIN_10 -to SDRAM_A[7]
+set_location_assignment PIN_11 -to SDRAM_A[8]
+set_location_assignment PIN_28 -to SDRAM_A[9]
+set_location_assignment PIN_50 -to SDRAM_A[10]
+set_location_assignment PIN_30 -to SDRAM_A[11]
+set_location_assignment PIN_32 -to SDRAM_A[12]
+set_location_assignment PIN_83 -to SDRAM_DQ[0]
+set_location_assignment PIN_79 -to SDRAM_DQ[1]
+set_location_assignment PIN_77 -to SDRAM_DQ[2]
+set_location_assignment PIN_76 -to SDRAM_DQ[3]
+set_location_assignment PIN_72 -to SDRAM_DQ[4]
+set_location_assignment PIN_71 -to SDRAM_DQ[5]
+set_location_assignment PIN_69 -to SDRAM_DQ[6]
+set_location_assignment PIN_68 -to SDRAM_DQ[7]
+set_location_assignment PIN_86 -to SDRAM_DQ[8]
+set_location_assignment PIN_87 -to SDRAM_DQ[9]
+set_location_assignment PIN_98 -to SDRAM_DQ[10]
+set_location_assignment PIN_99 -to SDRAM_DQ[11]
+set_location_assignment PIN_100 -to SDRAM_DQ[12]
+set_location_assignment PIN_101 -to SDRAM_DQ[13]
+set_location_assignment PIN_103 -to SDRAM_DQ[14]
+set_location_assignment PIN_104 -to SDRAM_DQ[15]
+set_location_assignment PIN_58 -to SDRAM_BA[0]
+set_location_assignment PIN_51 -to SDRAM_BA[1]
+set_location_assignment PIN_85 -to SDRAM_DQMH
+set_location_assignment PIN_67 -to SDRAM_DQML
+set_location_assignment PIN_60 -to SDRAM_nRAS
+set_location_assignment PIN_64 -to SDRAM_nCAS
+set_location_assignment PIN_66 -to SDRAM_nWE
+set_location_assignment PIN_59 -to SDRAM_nCS
+set_location_assignment PIN_33 -to SDRAM_CKE
+set_location_assignment PIN_43 -to SDRAM_CLK
+
+set_global_assignment -name CYCLONEII_OPTIMIZATION_TECHNIQUE BALANCED
+set_global_assignment -name SMART_RECOMPILE ON
+set_global_assignment -name ENABLE_SIGNALTAP ON
+set_global_assignment -name PHYSICAL_SYNTHESIS_COMBO_LOGIC ON
+set_global_assignment -name PHYSICAL_SYNTHESIS_REGISTER_DUPLICATION ON
+set_global_assignment -name PHYSICAL_SYNTHESIS_EFFORT NORMAL
+set_global_assignment -name FMAX_REQUIREMENT "114 MHz"
+set_global_assignment -name OPTIMIZE_MULTI_CORNER_TIMING OFF
+set_global_assignment -name MIN_CORE_JUNCTION_TEMP 0
+set_global_assignment -name MAX_CORE_JUNCTION_TEMP 85
+set_global_assignment -name USE_CONFIGURATION_DEVICE ON
+set_global_assignment -name TPD_REQUIREMENT "2 ns"
+set_global_assignment -name TSU_REQUIREMENT "2 ns"
+set_global_assignment -name TCO_REQUIREMENT "2 ns"
+set_global_assignment -name ALLOW_POWER_UP_DONT_CARE OFF
+set_global_assignment -name SYNTH_TIMING_DRIVEN_SYNTHESIS OFF
+set_global_assignment -name AUTO_RAM_TO_LCELL_CONVERSION OFF
+set_global_assignment -name AUTO_RAM_RECOGNITION ON
+set_global_assignment -name AUTO_ROM_RECOGNITION ON
+set_global_assignment -name PHYSICAL_SYNTHESIS_REGISTER_RETIMING ON
+set_global_assignment -name LL_ROOT_REGION ON -section_id "Root Region"
+set_global_assignment -name LL_MEMBER_STATE LOCKED -section_id "Root Region"
+set_global_assignment -name PARTITION_NETLIST_TYPE SOURCE -section_id Top
+set_global_assignment -name PARTITION_COLOR 2147039 -section_id Top
+set_global_assignment -name MISC_FILE atari800core.dpf
+set_global_assignment -name PARTITION_FITTER_PRESERVATION_LEVEL PLACEMENT_AND_ROUTING -section_id Top
+
+set_global_assignment -name PHYSICAL_SYNTHESIS_ASYNCHRONOUS_SIGNAL_PIPELINING ON
+set_global_assignment -name PHYSICAL_SYNTHESIS_COMBO_LOGIC_FOR_AREA OFF
+set_global_assignment -name PHYSICAL_SYNTHESIS_MAP_LOGIC_TO_MEMORY_FOR_AREA OFF
+
+set_global_assignment -name PROJECT_OUTPUT_DIRECTORY out
+set_global_assignment -name PLACEMENT_EFFORT_MULTIPLIER 4.0
+set_global_assignment -name ROUTER_EFFORT_MULTIPLIER 4.0
+set_global_assignment -name CYCLONEII_M4K_COMPATIBILITY OFF
+
+#set_parameter -name ENABLE_RUNTIME_MOD YES -to "Minimig1:minimig|amiga_boot:BOOTROM1|altsyncram:Ram0_rtl_10"
+#set_parameter -name INSTANCE_NAME mig -to "Minimig1:minimig|amiga_boot:BOOTROM1|altsyncram:Ram0_rtl_10"
+
+set_global_assignment -name CRC_ERROR_OPEN_DRAIN OFF
+set_global_assignment -name RESERVE_DATA0_AFTER_CONFIGURATION "USE AS REGULAR IO"
+set_global_assignment -name RESERVE_DATA1_AFTER_CONFIGURATION "USE AS REGULAR IO"
+set_global_assignment -name RESERVE_FLASH_NCE_AFTER_CONFIGURATION "USE AS REGULAR IO"
+set_global_assignment -name RESERVE_DCLK_AFTER_CONFIGURATION "USE AS REGULAR IO"
+set_global_assignment -name OUTPUT_IO_TIMING_NEAR_END_VMEAS "HALF VCCIO" -rise
+set_global_assignment -name OUTPUT_IO_TIMING_NEAR_END_VMEAS "HALF VCCIO" -fall
+set_global_assignment -name OUTPUT_IO_TIMING_FAR_END_VMEAS "HALF SIGNAL SWING" -rise
+set_global_assignment -name OUTPUT_IO_TIMING_FAR_END_VMEAS "HALF SIGNAL SWING" -fall
+
+
+
+set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_DQ[0]
+set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_DQ[1]
+set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_DQ[2]
+set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_DQ[3]
+set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_DQ[4]
+set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_DQ[5]
+set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_DQ[6]
+set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_DQ[7]
+set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_DQ[8]
+set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_DQ[9]
+set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_DQ[10]
+set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_DQ[11]
+set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_DQ[12]
+set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_DQ[13]
+set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_DQ[14]
+set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_DQ[15]
+set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_A[0]
+set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_A[1]
+set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_A[2]
+set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_A[3]
+set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_A[4]
+set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_A[5]
+set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_A[6]
+set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_A[7]
+set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_A[8]
+set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_A[9]
+set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_A[10]
+set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_A[11]
+set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_A[12]
+set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_BA[0]
+set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_BA[1]
+set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_DQMH
+set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_DQML
+set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_nRAS
+set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_nCAS
+set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_nWE
+set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_nCS
+
+set_instance_assignment -name FAST_OUTPUT_ENABLE_REGISTER ON -to SDRAM_DQ[0]
+set_instance_assignment -name FAST_OUTPUT_ENABLE_REGISTER ON -to SDRAM_DQ[1]
+set_instance_assignment -name FAST_OUTPUT_ENABLE_REGISTER ON -to SDRAM_DQ[2]
+set_instance_assignment -name FAST_OUTPUT_ENABLE_REGISTER ON -to SDRAM_DQ[3]
+set_instance_assignment -name FAST_OUTPUT_ENABLE_REGISTER ON -to SDRAM_DQ[4]
+set_instance_assignment -name FAST_OUTPUT_ENABLE_REGISTER ON -to SDRAM_DQ[5]
+set_instance_assignment -name FAST_OUTPUT_ENABLE_REGISTER ON -to SDRAM_DQ[6]
+set_instance_assignment -name FAST_OUTPUT_ENABLE_REGISTER ON -to SDRAM_DQ[7]
+set_instance_assignment -name FAST_OUTPUT_ENABLE_REGISTER ON -to SDRAM_DQ[8]
+set_instance_assignment -name FAST_OUTPUT_ENABLE_REGISTER ON -to SDRAM_DQ[9]
+set_instance_assignment -name FAST_OUTPUT_ENABLE_REGISTER ON -to SDRAM_DQ[10]
+set_instance_assignment -name FAST_OUTPUT_ENABLE_REGISTER ON -to SDRAM_DQ[11]
+set_instance_assignment -name FAST_OUTPUT_ENABLE_REGISTER ON -to SDRAM_DQ[12]
+set_instance_assignment -name FAST_OUTPUT_ENABLE_REGISTER ON -to SDRAM_DQ[13]
+set_instance_assignment -name FAST_OUTPUT_ENABLE_REGISTER ON -to SDRAM_DQ[14]
+set_instance_assignment -name FAST_OUTPUT_ENABLE_REGISTER ON -to SDRAM_DQ[15]
+
+set_instance_assignment -name FAST_INPUT_REGISTER ON -to SDRAM_DQ[0]
+set_instance_assignment -name FAST_INPUT_REGISTER ON -to SDRAM_DQ[1]
+set_instance_assignment -name FAST_INPUT_REGISTER ON -to SDRAM_DQ[2]
+set_instance_assignment -name FAST_INPUT_REGISTER ON -to SDRAM_DQ[3]
+set_instance_assignment -name FAST_INPUT_REGISTER ON -to SDRAM_DQ[4]
+set_instance_assignment -name FAST_INPUT_REGISTER ON -to SDRAM_DQ[5]
+set_instance_assignment -name FAST_INPUT_REGISTER ON -to SDRAM_DQ[6]
+set_instance_assignment -name FAST_INPUT_REGISTER ON -to SDRAM_DQ[7]
+set_instance_assignment -name FAST_INPUT_REGISTER ON -to SDRAM_DQ[8]
+set_instance_assignment -name FAST_INPUT_REGISTER ON -to SDRAM_DQ[9]
+set_instance_assignment -name FAST_INPUT_REGISTER ON -to SDRAM_DQ[10]
+set_instance_assignment -name FAST_INPUT_REGISTER ON -to SDRAM_DQ[11]
+set_instance_assignment -name FAST_INPUT_REGISTER ON -to SDRAM_DQ[12]
+set_instance_assignment -name FAST_INPUT_REGISTER ON -to SDRAM_DQ[13]
+set_instance_assignment -name FAST_INPUT_REGISTER ON -to SDRAM_DQ[14]
+set_instance_assignment -name FAST_INPUT_REGISTER ON -to SDRAM_DQ[15]
+
+set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to SDRAM_A[0]
+set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to SDRAM_A[1]
+set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to SDRAM_A[2]
+set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to SDRAM_A[3]
+set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to SDRAM_A[4]
+set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to SDRAM_A[5]
+set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to SDRAM_A[6]
+set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to SDRAM_A[7]
+set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to SDRAM_A[8]
+set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to SDRAM_A[9]
+set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to SDRAM_A[10]
+set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to SDRAM_A[11]
+set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to SDRAM_A[12]
+set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to SDRAM_DQ[0]
+set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to SDRAM_DQ[1]
+set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to SDRAM_DQ[2]
+set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to SDRAM_DQ[3]
+set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to SDRAM_DQ[4]
+set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to SDRAM_DQ[5]
+set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to SDRAM_DQ[6]
+set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to SDRAM_DQ[7]
+set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to SDRAM_DQ[8]
+set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to SDRAM_DQ[9]
+set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to SDRAM_DQ[10]
+set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to SDRAM_DQ[11]
+set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to SDRAM_DQ[12]
+set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to SDRAM_DQ[13]
+set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to SDRAM_DQ[14]
+set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to SDRAM_DQ[15]
+set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to SDRAM_BA[0]
+set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to SDRAM_BA[1]
+set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to SDRAM_DQML
+set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to SDRAM_DQMH
+set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to SDRAM_nRAS
+set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to SDRAM_nCAS
+set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to SDRAM_nWE
+set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to SDRAM_nCS
+set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to SDRAM_CKE
+set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to SDRAM_CLK
+
+set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to VGA_R[5]
+set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to VGA_R[4]
+set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to VGA_R[3]
+set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to VGA_R[2]
+set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to VGA_R[1]
+set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to VGA_R[0]
+
+set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to VGA_G[5]
+set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to VGA_G[4]
+set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to VGA_G[3]
+set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to VGA_G[2]
+set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to VGA_G[1]
+set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to VGA_G[0]
+
+set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to VGA_B[5]
+set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to VGA_B[4]
+set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to VGA_B[3]
+set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to VGA_B[2]
+set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to VGA_B[1]
+set_instance_assignment -name CURRENT_STRENGTH_NEW 4MA -to VGA_B[0]
+
+set_instance_assignment -name PARTITION_HIERARCHY root_partition -to | -section_id Top
+
+set_global_assignment -name VHDL_FILE data_io.vhdl
+set_global_assignment -name VHDL_FILE zpu_rom.vhdl
+set_global_assignment -name SDC_FILE atari800core.sdc
+set_global_assignment -name QIP_FILE mist_sector_buffer.qip
+set_global_assignment -name VHDL_FILE atari800core_mist.vhd
+set_global_assignment -name VERILOG_FILE user_io.v
+set_global_assignment -name QIP_FILE pll_pal_pre.qip
+set_global_assignment -name QIP_FILE pll_pal_post.qip
+set_global_assignment -name QIP_FILE pll_ntsc.qip
+
